

public class Report {

	/**
	 * @uml.property  name="Id_contract"
	 */
	private String id_contract = "";

	/**
	 * Getter of the property <tt>Id_contract</tt>
	 * @return  Returns the id_contract.
	 * @uml.property  name="Id_contract"
	 */
	public String getId_contract() {
		return id_contract;
	}

	/**
	 * Setter of the property <tt>Id_contract</tt>
	 * @param Id_contract  The id_contract to set.
	 * @uml.property  name="Id_contract"
	 */
	public void setId_contract(String id_contract) {
		this.id_contract = id_contract;
	}

	/**
	 * @uml.property  name="Type"
	 */
	private String type = "";

	/**
	 * Getter of the property <tt>Type</tt>
	 * @return  Returns the type.
	 * @uml.property  name="Type"
	 */
	public String getType() {
		return type;
	}

	/**
	 * Setter of the property <tt>Type</tt>
	 * @param Type  The type to set.
	 * @uml.property  name="Type"
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * @uml.property  name="Id_report"
	 */
	private String id_report = "";

	/**
	 * Getter of the property <tt>Id_report</tt>
	 * @return  Returns the id_report.
	 * @uml.property  name="Id_report"
	 */
	public String getId_report() {
		return id_report;
	}

	/**
	 * Setter of the property <tt>Id_report</tt>
	 * @param Id_report  The id_report to set.
	 * @uml.property  name="Id_report"
	 */
	public void setId_report(String id_report) {
		this.id_report = id_report;
	}

	/**
	 * @uml.property  name="Date_report"
	 */
	private String date_report = "";

	/**
	 * Getter of the property <tt>Date_report</tt>
	 * @return  Returns the date_report.
	 * @uml.property  name="Date_report"
	 */
	public String getDate_report() {
		return date_report;
	}

	/**
	 * Setter of the property <tt>Date_report</tt>
	 * @param Date_report  The date_report to set.
	 * @uml.property  name="Date_report"
	 */
	public void setDate_report(String date_report) {
		this.date_report = date_report;
	}

	/**
	 * @uml.property  name="customer"
	 * @uml.associationEnd  aggregation="composite" inverse="report:Customer"
	 * @uml.association  name="concern"
	 */
	private Customer customer;

	/**
	 * Getter of the property <tt>customer</tt>
	 * @return  Returns the customer.
	 * @uml.property  name="customer"
	 */
	public Customer getCustomer() {
		return customer;
	}

	/**
	 * Setter of the property <tt>customer</tt>
	 * @param customer  The customer to set.
	 * @uml.property  name="customer"
	 */
	public void setCustomer(Customer customer) {
		this.customer = customer;
	}

	/**
	 * @uml.property  name="orders"
	 * @uml.associationEnd  aggregation="composite" inverse="report:Orders"
	 * @uml.association  name="concern"
	 */
	private Orders orders;

	/**
	 * Getter of the property <tt>orders</tt>
	 * @return  Returns the orders.
	 * @uml.property  name="orders"
	 */
	public Orders getOrders() {
		return orders;
	}

	/**
	 * Setter of the property <tt>orders</tt>
	 * @param orders  The orders to set.
	 * @uml.property  name="orders"
	 */
	public void setOrders(Orders orders) {
		this.orders = orders;
	}

	/** 
	 * @uml.property name="orders1"
	 * @uml.associationEnd aggregation="composite" inverse="report1:Orders"
	 * @uml.association name="concern"
	 */
	private Orders orders1;

	/** 
	 * Getter of the property <tt>orders1</tt>
	 * @return  Returns the orders1.
	 * @uml.property  name="orders1"
	 */
	public Orders getOrders1() {
		return orders1;
	}

	/** 
	 * Setter of the property <tt>orders1</tt>
	 * @param orders1  The orders1 to set.
	 * @uml.property  name="orders1"
	 */
	public void setOrders1(Orders orders1) {
		this.orders1 = orders1;
	}

	/**
	 * @uml.property  name="customer1"
	 * @uml.associationEnd  aggregation="composite" inverse="report1:Customer"
	 * @uml.association  name="concern"
	 */
	private Customer customer1;

	/**
	 * Getter of the property <tt>customer1</tt>
	 * @return  Returns the customer1.
	 * @uml.property  name="customer1"
	 */
	public Customer getCustomer1() {
		return customer1;
	}

	/**
	 * Setter of the property <tt>customer1</tt>
	 * @param customer1  The customer1 to set.
	 * @uml.property  name="customer1"
	 */
	public void setCustomer1(Customer customer1) {
		this.customer1 = customer1;
	}

}
